libzypp 17.38.15

Arch.h File Reference
`#include <iosfwd>`
`#include <functional>`
`#include <set>`
`#include <string>`
`#include <zypp-core/base/String.h>`
`#include <zypp-core/base/Iterator.h>`
`#include <zypp/IdStringType.h>`
`#include <zypp/RelCompare.h>`

Go to the source code of this file.

## Classes
class | zypp::Arch
| Architecture. More...
struct | zypp::ArchCompatibleWith
| Functor finding compatible architectures. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | std

## Functions
Equality based on string value.
bool | zypp::operator== (const Arch &lhs, const Arch &rhs)
| relates: Arch
bool | zypp::operator== (const Arch &lhs, const std::string &rhs)
| relates: Arch
bool | zypp::operator== (const std::string &lhs, const Arch &rhs)
| relates: Arch
bool | zypp::operator!= (const Arch &lhs, const Arch &rhs)
| relates: Arch
bool | zypp::operator!= (const Arch &lhs, const std::string &rhs)
| relates: Arch
bool | zypp::operator!= (const std::string &lhs, const Arch &rhs)
| relates: Arch

## Builtin architecture constants.
Defined outside Arch as e.g. `Arch_i386`, because some names, like `i388`, are used as `#define`, thus unusable as identifier like `Arch::i386`.
const Arch Arch_empty | zypp::ZYPP_API
| relates: Arch This is an empty Arch represented by an empty string.
std::ostream & | zypp::operator<< (std::ostream &str, const Arch &obj)
| relates: Arch stream output.
std::ostream & | zypp::dumpAsXmlOn (std::ostream &str, const Arch &obj)
| relates: Arch XML output.